Re: JavaEEComponentInjector in Wicket 1.5

2011-04-05 Thread Martin Grigorov
are you talking about https://github.com/wicketstuff/core/tree/master/jdk-1.6-parent/javaee-inject-parent ? because this has been upgraded to support Wicket 1.5 and is used by its maintainer (Peter Major) On Tue, Apr 5, 2011 at 2:42 AM, msj121 msj...@gmail.com wrote: I am not sure if this is a

Re: JavaEEComponentInjector in Wicket 1.5

2011-04-05 Thread Major P├ęter
It has been upgraded (with some help for which I'm thankful :) ), and although I'm not using it atm, it should be working. ;) Regards, Peter On 2011-04-05 09:01, Martin Grigorov wrote: are you talking about https://github.com/wicketstuff/core/tree/master/jdk-1.6-parent/javaee-inject-parent

Re: JavaEEComponentInjector in Wicket 1.5

2011-04-05 Thread msj121
Haza! I had switched back to 1.4 momentarily after almost giving up hope. Didn't realize there was a package on github, my mistake. And great wiki available on using it in maven, was a quick solution. Thank you so much! Matthew -- View this message in context:

JavaEEComponentInjector in Wicket 1.5

2011-04-04 Thread msj121
I am not sure if this is a bug or intentional. But seemingly getComponentInstantiationListeners().add((IComponentInstantiationListener) new JavaEEComponentInjector(this)); No longer works in Wicket 1.5 (any version I tried), but perfectly works in Wicket 1.4.5. In Wicket 1.5 it states: cannot